<mat-dialog-content>
  <mat-card>
    <mat-chip-list aria-label="Your Orders">
      <mat-chip selected color="primary">Your Orders</mat-chip>
    </mat-chip-list>
    <mat-card-content>
      <mat-list>
        <mat-list-item *ngFor="let item of orderedProducts">
          <div fxFlex="40%" fxLayout="column wrap">
            <div mat-line><b>{{item.variant?.title}}</b></div>
            <div mat-line>{{item.variant?.variant}}</div>
          </div>
          <div fxFlex="60%" fxLayout="row wrap" fxLayoutAlign="space-between center">
            <img mat-list-avatar [src]="item.variant?.thumbnail" alt="Thumbnail of the Product">
            <div fxFlex="30%" mat-line>{{item.variant?.price}} * {{item.quantity}} </div>
            <div fxFlex="30%" mat-line>{{item.totalPrice}} USDC</div>
          </div>
          <mat-divider></mat-divider>
        </mat-list-item>
      </mat-list>
    </mat-card-content>
    <mat-chip-list aria-label="Your Shipping Type">
      <mat-chip selected color="primary">Your Shipping</mat-chip>
    </mat-chip-list>
    <mat-radio-group *ngIf="shippingRates" [(ngModel)]="shippingType">
      <mat-radio-button class="checkout-summary_shippingType" *ngFor="let shippingRate of shippingRates"
        [value]="shippingRate.id" (change)="updateTotalPrice($event)">
        {{shippingRate.id}}
        <div>{{shippingRate.name}} {{shippingRate.rate}} USDC</div>
      </mat-radio-button>
    </mat-radio-group>
    <mat-divider></mat-divider>
    <br />
    <div fxLayout="row wrap">
      <div fxFlex="80%"><b>Total Price ( incl. Shipping Price )</b></div>
      <div fxFlex="20%">{{ totalPrice }}</div>
    </div>
  </mat-card>
  <br />

  <div>
    <mat-card>
      <mat-chip-list aria-label="Personal Information">
        <mat-chip selected color="primary">Payment and Billing Information</mat-chip>
      </mat-chip-list>
      <br />
      <div fxLayout="row wrap" fxLayoutAlign="start start" fxLayoutGap="10px">
        <div *ngFor="let field of constants.form; let k = index">
          <mat-form-field appearance="fill" floatLabel="always">
            <mat-label>
              <b>{{ field.label }}</b>
            </mat-label>
            <input matInput readonly
              value="{{ pagoCheckout.get(field.name).value ? pagoCheckout.get(field.name).value : '--' }}" />
          </mat-form-field>
        </div>
      </div>
    </mat-card>
  </div>
</mat-dialog-content>
<mat-dialog-actions fxLayout="row" fxLayoutAlign="space-between center">
  <pm-pago-wallet-download></pm-pago-wallet-download>
  <div [hidden]="!isLoading" ng-show class="spinner-border text-info" role="status"></div>
  <div>
    <button mat-raised-button color="primary" matStepperPrevious>Back</button>
    <button mat-raised-button color="primary" matStepperNext>
      Confirm
    </button>
  </div>
</mat-dialog-actions>
